org.eclnt.jsfserver.elements.util

## Class FIXGRIDBeanListBinding<T>

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDBinding<ItemClass>
  - - org.eclnt.jsfserver.elements.impl.FIXGRIDListBinding<FIXGRIDBeanItem<T>>
    - - org.eclnt.jsfserver.elements.util.FIXGRIDBeanListBinding<T>

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDBinding<FIXGRIDBeanItem<T>>, IListWithChangeIndexListener, IDynamicContentBindingObject

      public class FIXGRIDBeanListBinding<T>
      extends FIXGRIDListBinding<FIXGRIDBeanItem<T>>

  FIXGRIDListBinding implementation that directly renders a List of beans objects.
  The class provides methods for adding and removing items from the list that can be directly bound by user interface components.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `FIXGRIDBinding.Exporter, FIXGRIDBinding.FormattedValue, FIXGRIDBinding.ScrollHelper, FIXGRIDBinding.SortHelper, FIXGRIDBinding.TextSearcher`

    - ### Nested classes/interfaces inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `IFIXGRIDBinding.FIXGRIDSortInfo`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `m_columnsequence, m_currentlyFocussedItem, m_defaultColumnsequence, m_firstItemForShiftSelection, m_initialized, m_modcolumnwidths, m_numberoffooterrows, m_numberofheaderrows, m_objectBinding, m_previouslyFocussedItem, m_sbvalue, m_sbvisibleamount, m_selectedItems, m_sortInfo, m_this`

    - ### Fields inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `SORT_ASCENDING, SORT_DESCENDING, SORT_UNSORTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FIXGRIDBeanListBinding()`
    `FIXGRIDBeanListBinding(boolean changeInndexIsSupported)`
    `FIXGRIDBeanListBinding(java.lang.Class beanClass)` Use this constructor if you use the default adding of items.
    `FIXGRIDBeanListBinding(java.lang.Class beanClass, boolean changeInndexIsSupported)`
    `FIXGRIDBeanListBinding(java.lang.Class beanClass, java.lang.Class rowItemClass)` Additional parameter "rowItemClass" is the row item that wraps each bean that is shown within the grid.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `createBean()` Creates a bean using a constructor without any parameters.
    `java.util.Set<T>` | `getAddedBeans()` All beans that were added.
    `java.util.Set<T>` | `getRemovedBeans()` All beans that were removed.
    `FIXGRIDBeanListBinding<T>` | `getThis()`
    `void` | `onAddItem(ActionEvent ae)` Default method for adding a new bean.
    `void` | `onRemoveSelectedItems(ActionEvent ae)` Default method for removing selected beans.
    `void` | `reset()` Resets lists that hold added/removed beans.
    `void` | `showList(java.util.List<T> beanList)` Displays the list of beans within the grid.
    `FIXGRIDBeanItem<T>` | `wrapBean(T bean)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDListBinding

      `createItems, deselectItem, ensureItemToBeDisplayed, ensureItemToBeDisplayed, fillShiftSelection, getItems, getListOfItems, getRows, getSbmaximum, getSelectedItemsAsSequence, listChanged, listItemWasAdded, listItemWasRemoved, processSearch, selectItem, setItems, setSbvalue, setSbvalue, sortGrid`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `applyPersistentData, checkIfCellsAreHighlighted, checkIfChangeIndexIsSupported, clearSortInfo, connectWithBinding, createDefaultStringComparator, createExporter, createScrollHelper, createTextSearcher, deselectCurrentSelection, deselectItem, deselectItem, deselectItemWCB, executeOnInitializedGrid, findSortComparatorForColumnValue, getAltPressedOfLastSelection, getClientvisibleamount, getColumnIndexOfLastSelection, getColumnInfos, getColumnsequence, getColumnTexts, getConnectedBinding, getCtrlPressedOfLastSelection, getCurrentColumWdithSequenceInfo, getCurrentHorizontalScrollPosition, getDefaultColumnsequence, getExportableColumns, getExportableColumns, getExporter, getFixgridComponent, getIndextobevisibleOfItems, getListOfExportItems, getModcolumnwidths, getModcolumnwidthsAsArray, getMouseButtonOfLastSelection, getNewClientHorizontalScrollPosition, getObjecttobevisibleOfItems, getOriginalcolumnwidths, getOriginalcolumnwidthsAsArray, getRowDataUI, getSbvalue, getSbvisibleamount, getScrollHelper, getSelectedItem, getSelectedItems, getShiftPressedOfLastSelection, getSortInfo, getSortInfoForReference, getTextSearcher, getToBeAccessedNode, getToBeAccessedNodeExpression, getToBeAccessedNodeFormatmaskValue, getToBeAccessedNodeFormattedValue, getToBeAccessedNodeFormatValue, getToBeAccessedNodeStringValue, getToBeAccessedNodeTimezoneValue, getToBeAccessedNodeValue, getVisibleColumns, getVisibleColumns, init_CONTENTTYPE_EXPORT_CSV, init_CONTENTTYPE_EXPORT_PDF, init_CONTENTTYPE_EXPORT_XLSX, init_CONTENTTYPE_EXPORT_XML, initialize, initPopupEditColumnDetailsUndecorated, initPopupGridFunctionsUndecorated, initTextSearcherShowSearchInfoPopup, isCurrentlyProcessingGridAction, isInitialized, isItemSelected, moveUpDown, onClearCellHighlight, onColumnSequenceUpdated, onColumnWidthsUpdated, onDrop, onEditColumnDetails, onFirstLineUp, onGridAction, onGridActionExecute, onLastLineDown, onOpenGridExportFunctions, onOpenGridFunctions, onPopupMenuItem, onPopupMenuLoad, onSelectionUpdateByClientActivity, onSelectorTitleIconInvoked, openEditColumnDetailsPopup, openGridExportFunctionsPopup, openGridFunctionsPopup, passComponentData, processMultipleSort, processMultipleSort, processSort, renderingBegins, resort, scrollHorizontallyToLastClientPosition, scrollHorizontallyToPosition, selectAndFocusItem, selectItem, selectItem, setClientvisibleamount, setColumnIndexOfLastSelection, setColumnIndexOfLastSelection, setColumnsequence, setCurrentHorizontalScrollPosition, setCurrentlyProcessingGridAction, setDefaultColumnsequence, setIndextobevisibleOfItems, setModcolumnwidth, setModcolumnwidths, setModcolumnwidthsArray, setModcolumnwidthsList, setObjecttobevisibleOfItems, setSbvalue, setSbvisibleamount, setToBeAccessedNode, sort, storePersistentData, storePersistentDataImplicitly, unhighlightAllCells, updateHighlight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `checkIfChangeIndexIsSupported, getClientvisibleamount, getColumnsequence, getConnectedBinding, getExportableColumns, getExportableColumns, getIndextobevisibleOfItems, getModcolumnwidths, getNewClientHorizontalScrollPosition, getObjecttobevisibleOfItems, getSbvalue, getSbvisibleamount, getSortInfo, getSortInfoForReference, getVisibleColumns, getVisibleColumns, passComponentData, renderingBegins, setClientvisibleamount, setColumnIndexOfLastSelection, setColumnIndexOfLastSelection, setColumnsequence, setCurrentHorizontalScrollPosition, setIndextobevisibleOfItems, setModcolumnwidths, setObjecttobevisibleOfItems, setSbvisibleamount`

- - ### Constructor Detail

    - #### FIXGRIDBeanListBinding

          public FIXGRIDBeanListBinding()

    - #### FIXGRIDBeanListBinding

          public FIXGRIDBeanListBinding(boolean changeInndexIsSupported)

    - #### FIXGRIDBeanListBinding

          public FIXGRIDBeanListBinding(java.lang.Class beanClass)

      Use this constructor if you use the default adding of items. The class requires to provide a constructor without parameter.
      Parameters:
        `beanClass` - Class of bean that is managed inside. The class needs to be passed so that new instances can be generated during the default adding of items.

    - #### FIXGRIDBeanListBinding

          public FIXGRIDBeanListBinding(java.lang.Class beanClass,
                                        java.lang.Class rowItemClass)

      Additional parameter "rowItemClass" is the row item that wraps each bean that is shown within the grid.

    - #### FIXGRIDBeanListBinding

          public FIXGRIDBeanListBinding(java.lang.Class beanClass,
                                        boolean changeInndexIsSupported)

  - ### Method Detail

    - #### showList

          public void showList(java.util.List<T> beanList)

      Displays the list of beans within the grid. The list passed from now on is manipulated by add/remove operations that may be called by the user interface.

    - #### wrapBean

          public FIXGRIDBeanItem<T> wrapBean(T bean)

    - #### onRemoveSelectedItems

          public void onRemoveSelectedItems(ActionEvent ae)

      Default method for removing selected beans. May be directly called by user interface components.

    - #### onAddItem

          public void onAddItem(ActionEvent ae)

      Default method for adding a new bean. May be directly called by user interface components. This method will only work if the beanClass is passed at construction point of time.

    - #### getRemovedBeans

          public java.util.Set<T> getRemovedBeans()

      All beans that were removed.

    - #### getAddedBeans

          public java.util.Set<T> getAddedBeans()

      All beans that were added.

    - #### reset

          public void reset()

      Resets lists that hold added/removed beans.

    - #### createBean

          public T createBean()

      Creates a bean using a constructor without any parameters. You may override this method in case you want to control the creation of objects on your own.

    - #### getThis

          public FIXGRIDBeanListBinding<T> getThis()

Copyright © CaptainCasa Gmbh. All Rights Reserved.